ureadkey(3)

NAME
ureadkey

SYNOPSIS
#include <allegro.h>

int ureadkey(int *scancode);

DESCRIPTION
Returns the next character from the keyboard buffer, in Unicode format. If the buffer is empty, it waits until a key is pressed. The return value contains the Unicode value of the key, and if not NULL, the pointer argument will be set to the scancode. Unlike readkey(), this function is able to return character values greater than 255.

SEE ALSO
install_keyboard(3), readkey(3), keypressed(3), clear_keybuf(3), simulate_ukeypress(3), exkeys(3)